# general
PROJECTNAME: 'Wildfire'
SESSIONAME: 'testing'
DEVICE: 'cuda:0'
NUM_WORKERS: 4
ONLINELOG: False
SEED: 200
STOPCOUNTER: 50
VALID_FREQ: 2
WARMUP: 20

# model
MODEL: 'robofire'
NUM_OUTPUTS: 2
PRETRAINED: 'weights/pretrained_480x640_w8_2_6.pth'
CHECKPOINT: null
WINDOW_SIZE: 8
TF_CONFIG: [2, 6]
# data
TRAINSET: 'lists/train_flm.txt'
VALIDSET: 'lists/val_flm.txt'
TESTSET: 'lists/test_flm.txt'
ROOTDATASET: './data'
NUM_CLASSES: 3
CLS_NAMES: ['background', 'smoke', 'fire']
MODE: 'fusion'
MULTISCALE: True
FLIP: True
BRIGHTNESS: True
SINGLE_SOURCE: False
COMP_MASK: True
BLEND_IMGS: True
IGNORE_LABEL: 255
SCALE_FACTOR: 10
CROP_SIZE: [256, 256]
BASE_SIZE: 256
CLASS_WEIGHTS: [2.27681343, 3.04257527, 8.8657764]
ALIGN_CORNERS: True
# loss and optimization
LR: 0.001
BATCHSIZE: 5
EPOCHS: 300
OPTIM: 'ADAM'
SCHED: 'COS'
USE_OHEM: False
OHEMTHRES: 0.9
OHEMKEEP: 131072
WD: 0.00005
MOMENTUM: 0.9
NESTEROV: false
BALANCE_WEIGHTS: [0.4, 1.0]
T_THRESH_BDLOSS: 0.8
BD_WEIGHT: 1.0
SB_WEIGHTS: 1.0
